<template>
  <page-layout>
    <!-- Page Content Start -->
    <lazy-hydrate when-idle>
      <quienes-somos-cover-section
        id="quienes-somos-cover-section"
        v-bind="cover"
      />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <quienes-somos-core-points-section
        id="quienes-somos-core-points-section"
        v-bind="content.corePoints"
      />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <quienes-somos-principles-section
        id="quienes-somos-principles-section"
        v-bind="content.principles"
      />
    </lazy-hydrate>
    <!-- Page Content End -->
  </page-layout>
</template>

<script>
import PageSections from '~/components/quienes-somos/';
import metaInfoMixin from '~/mixins/metaInfo.js';

export default {
  name: 'QuienesSomos',
  components: PageSections,
  mixins: [metaInfoMixin],
  computed: {
    cover() {
      return this.$page.content.cover;
    },
    content() {
      const { corePoints, principles } = this.$page.content;

      return {
        corePoints,
        principles,
      };
    },
  },
};
</script>

<page-query>
  query QuienesSomosPageContent {
    content: quienesSomosPageContent(path: "/quienes-somos/") {
      meta {
        title
        description
      }
      cover {
        heading
        coverImage {
          image
          description
        }
        content {
          text
          cta {
            action
            routeId
          }
        }
      }
      corePoints {
        heading
        text
        corePointItems {
          icon
          title
          text
        }
      }
      principles {
        heading
        text
        conceptItems {
          title
          text
        }
        quote {
          text
          author
        }
      }
    }
  }
</page-query>
